Upstream information

CVE-2020-7211 at MITRE

Description

tftp.c in libslirp 4.1.0, as used in QEMU 4.2.0, does not prevent ..\ directory traversal on Windows.

SUSE information

Overall state of this security issue: Running

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 5
Vector AV:N/AC:L/Au:N/C:P/I:N/A:N
Access Vector Network
Access Complexity Low
Authentication None
Confidentiality Impact Partial
Integrity Impact None
Availability Impact None
CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 7.5 5.1
Vector CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:N/A:N CVSS:3.1/AV:L/AC:L/PR:N/UI:N/S:U/C:L/I:L/A:N
Access Vector Network Local
Access Complexity Low Low
Privileges Required None None
User Interaction None None
Scope Unchanged Unchanged
Confidentiality Impact High Low
Integrity Impact None Low
Availability Impact None None
CVSSv3 Version 3.1 3.1
SUSE Bugzilla entries: 1161180 [RESOLVED / INVALID], 1161181 [NEW]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
HPE Helion Openstack 8
  • xen >= 4.9.4_06-3.62.1
  • xen-doc-html >= 4.9.4_06-3.62.1
  • xen-libs >= 4.9.4_06-3.62.1
  • xen-libs-32bit >= 4.9.4_06-3.62.1
  • xen-tools >= 4.9.4_06-3.62.1
  • xen-tools-domU >= 4.9.4_06-3.62.1
Patchnames:
HPE-Helion-OpenStack-8-2020-1630
SUSE Enterprise Storage 5
  • xen >= 4.9.4_06-3.62.1
  • xen-doc-html >= 4.9.4_06-3.62.1
  • xen-libs >= 4.9.4_06-3.62.1
  • xen-libs-32bit >= 4.9.4_06-3.62.1
  • xen-tools >= 4.9.4_06-3.62.1
  • xen-tools-domU >= 4.9.4_06-3.62.1
Patchnames:
SUSE-Storage-5-2020-1630
SUSE Linux Enterprise Point of Sale 11 SP3
  • xen >= 4.2.5_22-45.36.1
  • xen-kmp-default >= 4.2.5_22_3.0.101_0.47.106.59-45.36.1
  • xen-kmp-pae >= 4.2.5_22_3.0.101_0.47.106.59-45.36.1
  • xen-libs >= 4.2.5_22-45.36.1
  • xen-tools-domU >= 4.2.5_22-45.36.1
Patchnames:
sleposp3-xen-14448
SUSE Linux Enterprise Point of Sale 12 SP2-CLIENT
  • xen >= 4.7.6_06-43.59.1
  • xen-doc-html >= 4.7.6_06-43.59.1
  • xen-libs >= 4.7.6_06-43.59.1
  • xen-libs-32bit >= 4.7.6_06-43.59.1
  • xen-tools >= 4.7.6_06-43.59.1
  • xen-tools-domU >= 4.7.6_06-43.59.1
Patchnames:
SUSE-SLE-POS-12-SP2-CLIENT-2020-334
SUSE Linux Enterprise Server 11 SP4-LTSS
SUSE Linux Enterprise Server for SAP Applications 11 SP4-LTSS
  • xen >= 4.4.4_42-61.52.1
  • xen-doc-html >= 4.4.4_42-61.52.1
  • xen-kmp-default >= 4.4.4_42_3.0.101_108.114-61.52.1
  • xen-kmp-pae >= 4.4.4_42_3.0.101_108.114-61.52.1
  • xen-libs >= 4.4.4_42-61.52.1
  • xen-libs-32bit >= 4.4.4_42-61.52.1
  • xen-tools >= 4.4.4_42-61.52.1
  • xen-tools-domU >= 4.4.4_42-61.52.1
Patchnames:
slessp4-xen-14444
SUSE Linux Enterprise Server 12 SP1-LTSS
SUSE Linux Enterprise Server for SAP Applications 12 SP1-LTSS
  • xen >= 4.5.5_28-22.64.1
  • xen-doc-html >= 4.5.5_28-22.64.1
  • xen-kmp-default >= 4.5.5_28_k3.12.74_60.64.124-22.64.1
  • xen-libs >= 4.5.5_28-22.64.1
  • xen-libs-32bit >= 4.5.5_28-22.64.1
  • xen-tools >= 4.5.5_28-22.64.1
  • xen-tools-domU >= 4.5.5_28-22.64.1
Patchnames:
SUSE-SLE-SERVER-12-SP1-2020-388
SUSE Linux Enterprise Server 12 SP2-BCL
SUSE Linux Enterprise Server for SAP Applications 12 SP2-BCL
  • xen >= 4.7.6_06-43.59.1
  • xen-doc-html >= 4.7.6_06-43.59.1
  • xen-libs >= 4.7.6_06-43.59.1
  • xen-libs-32bit >= 4.7.6_06-43.59.1
  • xen-tools >= 4.7.6_06-43.59.1
  • xen-tools-domU >= 4.7.6_06-43.59.1
Patchnames:
SUSE-SLE-SERVER-12-SP2-BCL-2020-334
SUSE Linux Enterprise Server 12 SP2-ESPOS
SUSE Linux Enterprise Server for SAP Applications 12 SP2-ESPOS
  • xen >= 4.7.6_06-43.59.1
  • xen-doc-html >= 4.7.6_06-43.59.1
  • xen-libs >= 4.7.6_06-43.59.1
  • xen-libs-32bit >= 4.7.6_06-43.59.1
  • xen-tools >= 4.7.6_06-43.59.1
  • xen-tools-domU >= 4.7.6_06-43.59.1
Patchnames:
SUSE-SLE-SERVER-12-SP2-ESPOS-2020-334
SUSE Linux Enterprise Server 12 SP2-LTSS
SUSE Linux Enterprise Server for SAP Applications 12 SP2-LTSS
  • xen >= 4.7.6_06-43.59.1
  • xen-doc-html >= 4.7.6_06-43.59.1
  • xen-libs >= 4.7.6_06-43.59.1
  • xen-libs-32bit >= 4.7.6_06-43.59.1
  • xen-tools >= 4.7.6_06-43.59.1
  • xen-tools-domU >= 4.7.6_06-43.59.1
Patchnames:
SUSE-SLE-SERVER-12-SP2-2020-334
SUSE Linux Enterprise Server 12 SP3-BCL
SUSE Linux Enterprise Server for SAP Applications 12 SP3-BCL
  • xen >= 4.9.4_06-3.62.1
  • xen-doc-html >= 4.9.4_06-3.62.1
  • xen-libs >= 4.9.4_06-3.62.1
  • xen-libs-32bit >= 4.9.4_06-3.62.1
  • xen-tools >= 4.9.4_06-3.62.1
  • xen-tools-domU >= 4.9.4_06-3.62.1
Patchnames:
SUSE-SLE-SERVER-12-SP3-BCL-2020-1630
SUSE Linux Enterprise Server 12 SP3-ESPOS
SUSE Linux Enterprise Server for SAP Applications 12 SP3-ESPOS
  • xen >= 4.9.4_06-3.62.1
  • xen-doc-html >= 4.9.4_06-3.62.1
  • xen-libs >= 4.9.4_06-3.62.1
  • xen-libs-32bit >= 4.9.4_06-3.62.1
  • xen-tools >= 4.9.4_06-3.62.1
  • xen-tools-domU >= 4.9.4_06-3.62.1
Patchnames:
SUSE-SLE-SERVER-12-SP3-ESPOS-2020-1630
SUSE Linux Enterprise Server 12 SP3-LTSS
SUSE Linux Enterprise Server for SAP Applications 12 SP3-LTSS
  • xen >= 4.9.4_06-3.62.1
  • xen-doc-html >= 4.9.4_06-3.62.1
  • xen-libs >= 4.9.4_06-3.62.1
  • xen-libs-32bit >= 4.9.4_06-3.62.1
  • xen-tools >= 4.9.4_06-3.62.1
  • xen-tools-domU >= 4.9.4_06-3.62.1
Patchnames:
SUSE-SLE-SERVER-12-SP3-2020-1630
SUSE Linux Enterprise Server 12 SP4
SUSE Linux Enterprise Server for SAP Applications 12 SP4
  • xen >= 4.11.3_04-2.23.1
  • xen-doc-html >= 4.11.3_04-2.23.1
  • xen-libs >= 4.11.3_04-2.23.1
  • xen-libs-32bit >= 4.11.3_04-2.23.1
  • xen-tools >= 4.11.3_04-2.23.1
  • xen-tools-domU >= 4.11.3_04-2.23.1
Patchnames:
SUSE-SLE-SERVER-12-SP4-2020-1138
SUSE Linux Enterprise Server 12 SP5
SUSE Linux Enterprise Server for SAP Applications 12 SP5
  • xen >= 4.12.2_04-3.11.1
  • xen-doc-html >= 4.12.2_04-3.11.1
  • xen-libs >= 4.12.2_04-3.11.1
  • xen-libs-32bit >= 4.12.2_04-3.11.1
  • xen-tools >= 4.12.2_04-3.11.1
  • xen-tools-domU >= 4.12.2_04-3.11.1
Patchnames:
SUSE-SLE-SERVER-12-SP5-2020-1139
SUSE Linux Enterprise Server for SAP Applications 12 SP1
  • xen >= 4.5.5_28-22.64.1
  • xen-doc-html >= 4.5.5_28-22.64.1
  • xen-kmp-default >= 4.5.5_28_k3.12.74_60.64.124-22.64.1
  • xen-libs >= 4.5.5_28-22.64.1
  • xen-libs-32bit >= 4.5.5_28-22.64.1
  • xen-tools >= 4.5.5_28-22.64.1
  • xen-tools-domU >= 4.5.5_28-22.64.1
Patchnames:
SUSE-SLE-SAP-12-SP1-2020-388
SUSE Linux Enterprise Server for SAP Applications 12 SP2
  • xen >= 4.7.6_06-43.59.1
  • xen-doc-html >= 4.7.6_06-43.59.1
  • xen-libs >= 4.7.6_06-43.59.1
  • xen-libs-32bit >= 4.7.6_06-43.59.1
  • xen-tools >= 4.7.6_06-43.59.1
  • xen-tools-domU >= 4.7.6_06-43.59.1
Patchnames:
SUSE-SLE-SAP-12-SP2-2020-334
SUSE Linux Enterprise Server for SAP Applications 12 SP3
  • xen >= 4.9.4_06-3.62.1
  • xen-doc-html >= 4.9.4_06-3.62.1
  • xen-libs >= 4.9.4_06-3.62.1
  • xen-libs-32bit >= 4.9.4_06-3.62.1
  • xen-tools >= 4.9.4_06-3.62.1
  • xen-tools-domU >= 4.9.4_06-3.62.1
Patchnames:
SUSE-SLE-SAP-12-SP3-2020-1630
SUSE Linux Enterprise Software Development Kit 12 SP4
  • xen >= 4.11.3_04-2.23.1
  • xen-devel >= 4.11.3_04-2.23.1
Patchnames:
SUSE-SLE-SDK-12-SP4-2020-1138
SUSE Linux Enterprise Software Development Kit 12 SP5
  • xen >= 4.12.2_04-3.11.1
  • xen-devel >= 4.12.2_04-3.11.1
Patchnames:
SUSE-SLE-SDK-12-SP5-2020-1139
SUSE OpenStack Cloud 7
  • xen >= 4.7.6_06-43.59.1
  • xen-doc-html >= 4.7.6_06-43.59.1
  • xen-libs >= 4.7.6_06-43.59.1
  • xen-libs-32bit >= 4.7.6_06-43.59.1
  • xen-tools >= 4.7.6_06-43.59.1
  • xen-tools-domU >= 4.7.6_06-43.59.1
Patchnames:
SUSE-OpenStack-Cloud-7-2020-334
SUSE OpenStack Cloud 8
  • xen >= 4.9.4_06-3.62.1
  • xen-doc-html >= 4.9.4_06-3.62.1
  • xen-libs >= 4.9.4_06-3.62.1
  • xen-libs-32bit >= 4.9.4_06-3.62.1
  • xen-tools >= 4.9.4_06-3.62.1
  • xen-tools-domU >= 4.9.4_06-3.62.1
Patchnames:
SUSE-OpenStack-Cloud-8-2020-1630
SUSE OpenStack Cloud Crowbar 8
  • xen >= 4.9.4_06-3.62.1
  • xen-doc-html >= 4.9.4_06-3.62.1
  • xen-libs >= 4.9.4_06-3.62.1
  • xen-libs-32bit >= 4.9.4_06-3.62.1
  • xen-tools >= 4.9.4_06-3.62.1
  • xen-tools-domU >= 4.9.4_06-3.62.1
Patchnames:
SUSE-OpenStack-Cloud-Crowbar-8-2020-1630


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
kvm Unsupported
SLES for SAP Applications kvm Unsupported
SUSE CaaS Platform 3.0 qemu Not affected
SUSE CaaS Platform 3.0 xen Affected
SUSE Container as a Service Platform 1.0 qemu Affected
SUSE Container as a Service Platform 1.0 xen Affected
SUSE Container as a Service Platform 2.0 qemu Not affected
SUSE Container as a Service Platform 2.0 xen Affected
SUSE Linux Enterprise 15 Module for Basesystem qemu Not affected
SUSE Linux Enterprise 15 Module for Basesystem xen Not affected
SUSE Linux Enterprise 15 Module for Server Applications qemu Not affected
SUSE Linux Enterprise 15 Module for Server Applications xen Not affected
SUSE Linux Enterprise 15-SP1 Module for Basesystem qemu Not affected
SUSE Linux Enterprise 15-SP1 Module for Basesystem xen Not affected
SUSE Linux Enterprise 15-SP1 Module for Server Applications qemu Not affected
SUSE Linux Enterprise 15-SP1 Module for Server Applications xen Not affected
SUSE Linux Enterprise Desktop 11 kvm Unsupported
SUSE Linux Enterprise Desktop 11 SP1 kvm Affected
SUSE Linux Enterprise Desktop 11 SP2 kvm Unsupported
SUSE Linux Enterprise Desktop 11 SP3 kvm Affected
SUSE Linux Enterprise Desktop 11 SP4 kvm Unsupported
SUSE Linux Enterprise Desktop 12 qemu Not affected
SUSE Linux Enterprise Desktop 12 SP1 qemu Not affected
SUSE Linux Enterprise Desktop 12 SP2 qemu Not affected
SUSE Linux Enterprise Desktop 12 SP3 qemu Not affected
SUSE Linux Enterprise Desktop 12 SP4 qemu Not affected
SUSE Linux Enterprise Desktop 12 SP4 xen Affected
SUSE Linux Enterprise Enterprise Server 11 SP1 for SAP Enterprise Search kvm Affected
SUSE Linux Enterprise High Performance Computing 12 SP2 qemu Not affected
SUSE Linux Enterprise High Performance Computing 12 SP3 qemu Not affected
SUSE Linux Enterprise High Performance Computing 12 SP4 qemu Not affected
SUSE Linux Enterprise High Performance Computing 12 SP4 xen Released
SUSE Linux Enterprise High Performance Computing 12 SP5 qemu Not affected
SUSE Linux Enterprise High Performance Computing 12 SP5 xen Released
SUSE Linux Enterprise Point of Service 11 SP2 qemu Not affected
SUSE Linux Enterprise Point of Service 11 SP3 qemu Not affected
SUSE Linux Enterprise Server 11 kvm Unsupported
SUSE Linux Enterprise Server 11 SP1 kvm Affected
SUSE Linux Enterprise Server 11 SP1 xen Affected
SUSE Linux Enterprise Server 11 SP1 LTSS kvm Affected
SUSE Linux Enterprise Server 11 SP2 kvm Unsupported
SUSE Linux Enterprise Server 11 SP2 LTSS kvm Unsupported
SUSE Linux Enterprise Server 11 SP3 kvm Affected
SUSE Linux Enterprise Server 11 SP3 xen Released
SUSE Linux Enterprise Server 11 SP3 LTSS kvm Affected
SUSE Linux Enterprise Server 11 SP4 kvm Unsupported
SUSE Linux Enterprise Server 11 SP4 LTSS xen Released
SUSE Linux Enterprise Server 12 qemu Not affected
SUSE Linux Enterprise Server 12 LTSS qemu Not affected
SUSE Linux Enterprise Server 12 SP1 qemu Not affected
SUSE Linux Enterprise Server 12 SP1 LTSS qemu Not affected
SUSE Linux Enterprise Server 12 SP1 LTSS xen Released
SUSE Linux Enterprise Server 12 SP2 qemu Not affected
SUSE Linux Enterprise Server 12 SP2 BCL qemu Not affected
SUSE Linux Enterprise Server 12 SP2 LTSS qemu Not affected
SUSE Linux Enterprise Server 12 SP2 LTSS xen Released
SUSE Linux Enterprise Server 12 SP3 qemu Not affected
SUSE Linux Enterprise Server 12 SP3 BCL xen Released
SUSE Linux Enterprise Server 12 SP3 LTSS qemu Not affected
SUSE Linux Enterprise Server 12 SP3 LTSS xen Released
SUSE Linux Enterprise Server 12 SP4 qemu Not affected
SUSE Linux Enterprise Server 12 SP4 xen Released
SUSE Linux Enterprise Server 12 SP5 qemu Not affected
SUSE Linux Enterprise Server 12 SP5 xen Released
SUSE Linux Enterprise Server for SAP Applications 12 qemu Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP2 qemu Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP2 xen Released
SUSE Linux Enterprise Server for SAP Applications 12 SP3 qemu Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP3 xen Released
SUSE Linux Enterprise Server for SAP Applications 12 SP4 qemu Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP4 xen Released
SUSE Linux Enterprise Server for SAP Applications 12 SP5 qemu Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP5 xen Released
SUSE Linux Enterprise Server for SAP Business All-in-One kvm Affected
SUSE Linux Enterprise Server for the Raspberry Pi qemu Not affected
SUSE Linux Enterprise Software Development Kit 11 qemu Not affected
SUSE Linux Enterprise Software Development Kit 11 SP1 qemu Not affected
SUSE Linux Enterprise Software Development Kit 11 SP2 qemu Not affected
SUSE Linux Enterprise Software Development Kit 11 SP3 qemu Not affected
SUSE Linux Enterprise Software Development Kit 11 SP4 qemu Not affected
SUSE Linux Enterprise Software Development Kit 12 SP4 xen Released
SUSE Linux Enterprise Software Development Kit 12 SP5 xen Released
SUSE Studio Extension for System z 1.2 kvm Affected
SUSE Studio Onsite qemu Not affected